/*!
 * \file main.cpp
 * \brief Main entry point to the BrickOut ReDuX application.
 * \author Joe Forte
 * \date 3/8/2008
 */

#include <iostream>
#include "Common/Error.h"
#include "Game/BrickOutGame.h"
#include <SDL.h>

//--------------------------------------------------------------------
int main(int argc, char *argv[])
{
	SDLApplication *app = new BrickOutGame;

	if( !app->Init(argc, argv) )
	{
		std::cerr << "ERROR: Game could not be initialized!!!" << std::endl;
		delete app;
		return 1;
	}

	int exitCode = 0;
	try
	{
		exitCode = app->Run();
	}
	catch(Error e)
	{
		std::cerr << "FATAL GAME ERROR!!!" << std::endl;
		std::cerr << e.ConstructVerboseMessage();
		exitCode = 1;
	}

	delete app;

	return exitCode;
}
