/*!
 * \file Globals.cpp
 * \brief Implements global functions.
 * \author Joe Forte
 * \date 5/19/2008
 */

#include "Common/Globals.h"
#include "Application/SDLApplication.h"

//--------------------------------------------------------------------
const char *GetVersionString()
{
	return GetApp()->GetVersionString();
}

//--------------------------------------------------------------------
Console::ConStream ConWarning()
{	
	Console *c = GetEnv()->GetConsole();
	assert(c);

	return c->PrintWarning();
}

//--------------------------------------------------------------------
Console::ConStream ConError()
{
	Console *c = GetEnv()->GetConsole();
	assert(c);

	return c->PrintError();
}

//--------------------------------------------------------------------
Console::ConStream ConMsg()
{
	Console *c = GetEnv()->GetConsole();
	assert(c);
	
	return c->Print(Color::White);
}
