/*!
 * \file Path.cpp
 * \brief Implement system indepent functions for manipulating file system Paths. 
 * \author Joe Forte
 * \date 5/21/2008
 */

#include "Path.h"

//--------------------------------------------------------------------
std::string GetPathPart(const std::string &fullPath)
{
	size_t len = fullPath.length();
	
	size_t i = len - 1;
	while(i >= 0 && fullPath[i] != PATH_SEPERATOR)
	{
		i--;
	}
	
	if(i == (len - 1))
		return fullPath;
	
	return fullPath.substr(0, i + 1); // i + 1 = len - ((len - 1) - i)
}
