/*********************************************************************
 
	File: GUIImage.cpp
	Data: 6/2/2008
	Desc: Implements the GUIImage class.
 
**********************************************************************/

#include "GUI/GUIImage.h"

//--------------------------------------------------------------------
GUIImage::GUIImage()
{
}

//--------------------------------------------------------------------
void GUIImage::SetImage(const char *file)
{
	image.Load(file);
	
	float w, h;
	image.GetDimensions(w, h);
	
	AABB bounds(Point2f(0.0f, 0.0f), w, h);
	
	SetArea( ScreenToNormCoords(bounds) );
}

//--------------------------------------------------------------------
void GUIImage::SetImage(const char *file, float w, float h)
{
	image.Load(file);
	image.SetScale(w, h);
	
	AABB bounds(Point2f(0.0f, 0.0f), w, h);
	
	SetArea( ScreenToNormCoords(bounds) );
}

//--------------------------------------------------------------------
void GUIImage::SetImage(const char *file, float scale)
{
	image.Load(file);
	image.SetScale(scale);
	
	float w, h;
	image.GetDimensions(w, h);
	
	AABB bounds(Point2f(0.0f, 0.0f), w, h);
	
	SetArea( ScreenToNormCoords(bounds) );
}

//--------------------------------------------------------------------
void GUIImage::SetCenterPos(const Point2f &p)
{
	Point2f screenP = NormToScreenCoords(p);
	
	float w, h;
	image.GetDimensions(w, h);
	
	AABB bounds(screenP, w, h);
	SetArea( ScreenToNormCoords(bounds) );
	
	image.SetPosition(screenP);
}

//--------------------------------------------------------------------
void GUIImage::Paint()
{
	image.Draw();
}
