/*!
 * \file GUIButton.h
 * \brief Declares the GUIImage class.
 * \author Joe Forte
 * \date 6/2/2008
 */

#ifndef GUIIMAGE_H
#define GUIIMAGE_H

#include "GUI/GUIPanel.h"
#include "Graphics/Sprite.h"
#include "Math/Point.h"

class GUIImage : public GUIPanel
{
public:
	GUIImage();
	
	void SetImage(const char *file);
	void SetImage(const char *file, float scale);
	void SetImage(const char *file, float w, float h);
	
	void SetCenterPos(const Point2f &p);
	
	virtual const char *GetPanelTypeName() const { return "GUI::Image"; }
	
protected:
	
	/*!
	 * \brief Does the actual rendering of the GUI element.
	 */
	virtual void Paint();
	
private:
	Sprite image;
};

#endif
