/*!
 * \file GUIText.cpp
 * \brief Implement the GUIText class that.
 * \author Joe Forte
 * \date 6/2/2008
 */

#include "GUI/GUIText.h"

//--------------------------------------------------------------------
GUIText::GUIText() : color(Color::White)
{}

//--------------------------------------------------------------------
GUIText::~GUIText() {}

//--------------------------------------------------------------------
void GUIText::SetFont(FontRef f)
{
	font = f;
	Refit();
}

//--------------------------------------------------------------------
void GUIText::SetText(const char *str)
{
	SetText( std::string(str) );
}

//--------------------------------------------------------------------
void GUIText::SetText(const std::string &str)
{
	text = str;
	Refit();
}

//--------------------------------------------------------------------
void GUIText::Paint()
{
	if(font)
	{
		font->DrawTextStr(text.c_str(), color, GetPosition());
	}
}

//--------------------------------------------------------------------
void GUIText::RecomputeLayout()
{
	if(font)
	{
		float w, h;
		font->StringDimensions(text.c_str(), w, h);
		
		SetWidth(w);
		SetHeight(h);
	}
}
