/*!
 * \file ConsoleVars.cpp
 * \brief Defines global console variables.
 * \author Joe Forte
 * \date 7/23/2008
 */

#include "Game/ConsoleVars.h"

ConVar *phy_drawCollisionShapes = NULL;
ConVar *phy_timeScale			= NULL;

//--------------------------------------------------------------------
void RegisterGlobalConsoleVars(Console &con)
{
	phy_drawCollisionShapes = con.RegisterVar("phy_drawCollisionShapes", "0", "Set to 1 to display physics collision shapes, set to 0 to disable drawing shapes", ConVar::TYPE_INT);
    phy_timeScale = con.RegisterVar("phy_timeScale", "1", "Set the time scale used by the physics engine should be > 0.01.", ConVar::TYPE_FLOAT);
}
