/*!
 * \file ConsoleVars.h
 * \brief Declares global console variables.
 * \author Joe Forte
 * \date 7/23/2008
 */

#ifndef CONSOLEVARS_H
#define CONSOLEVARS_H

#include "Application/Console.h"

/*!
 * \brief Call once on initialization to initialize the console variables.
 *
 * \param[in] con the console to register the variables with.
 */
void RegisterGlobalConsoleVars(Console &con);

/**************************************************************************************
 * Physics ConVars
 **************************************************************************************/

/*!
 * \brief Console variable that determines if physics shapes should be drawn or not.
 */
extern ConVar *phy_drawCollisionShapes;

/*!
 * \brief Sets the time scale of the physics simulation, must be greater then 0.01.
 */
extern ConVar *phy_timeScale;


#endif
