/*!
 * \file StarFieldEffect.cpp
 * \brief Implements the StarFieldEffect background effect. 
 * \author Joe Forte
 * \date 2/9/2009
 */

#include "Game/StarFieldEffect.h"

//--------------------------------------------------------------------
bool StarFieldEffect::Init()
{
	starField.emitPolicy.Start();
	starField.emitPolicy.SetFlowRate(100.0f);
	starField.emitPolicy.position = Point2f(0.0f, 0.0f);

	bigStarField.emitPolicy.Start();
	bigStarField.emitPolicy.SetFlowRate(20.0f);
	bigStarField.emitPolicy.position = Point2f(0.0f, 0.0f);
	bigStarField.initPolicy.lifeTime = 1.5f;
	bigStarField.initPolicy.speed = 400.0f;
	bigStarField.updatePolicy.endWidth = 200.0f;
	bigStarField.updatePolicy.endHeight = 5.0f;

	return true;
}

//--------------------------------------------------------------------
void StarFieldEffect::Update(float dt)
{
	starField.Update(dt);
	bigStarField.Update(dt);
}

//--------------------------------------------------------------------
void StarFieldEffect::Draw()
{
	starField.Draw();
	bigStarField.Draw();
}
